
/*
 * $Id: polyBcastChannels.h,v 1.4.4.1 1999/10/22 21:41:59 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PG_POLYGRAPH_BROADCAST_CHANNELS_H
#define PG_POLYGRAPH_BROADCAST_CHANNELS_H

#include "LibInit.h"
#include "BcastChannel.h"

extern BcastChannel *TheConnOpenChannel;
extern BcastChannel *TheConnCloseChannel;
extern BcastChannel *TheConnEstChannel;

extern BcastChannel *TheXactBegChannel;
extern BcastChannel *TheXactEndChannel;
extern BcastChannel *TheXactErrChannel;

extern BcastChannel *TheErrChannel;
extern BcastChannel *TheInfoChannel;

extern BcastChannel *TheLogCfgChannel;
extern BcastChannel *TheLogStateChannel;

extern BcastChannel *TheShutdownChannel;

LIB_INITIALIZER(PolyBcastChannelsInit)

#endif
